##############################################################################
#
# Copyright (c) 2002 Ingeniweb SARL
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################

"""
AttachmentField product
"""

import AttachmentHandler

import os
import os.path
import string
import re



class ImageAttachment(AttachmentHandler.AbstractHandler):
    """
    ImageAttachment file abstraction
    """
    icon_file = "image.gif"
    small_icon_file = "image_small.gif"
    content_types = (
        'image/gif',
        'image/jpeg',
        "image/jpg",
        "image/png",
        "image/xpm",
        "image/bmp",
        "image/x-windows-bmp",
        )
    converter_type = "Image"

    index_path = None
    index_arguments = None
    index_encoding = None
    
    preview_path = None
    preview_arguments = None
    preview_encoding = None
    preview_format = None


AttachmentHandler.registerHandler(ImageAttachment)
